System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

You can use this class to append messages to specific trace categories. For example, if you are creating an instance of the class for your application, you might include the trace message "Starting To Render" in a rendering procedure, and "Raising OnChange Event" in an event handler procedure.

You can also use the class to obtain a set of trace records at the end of request execution for custom processing. For more information, see ASP.NET Tracing Overview.

To enable tracing, set the Trace attribute in the @ Page directive or the property to true. When tracing is enabled, in addition to showing user-provided trace content, the class automatically includes performance data, control-tree structure information, and state management content for every request.

Captures and presents execution details about a Web request. This class cannot be inherited.

- Constructor
  a
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Use this flag to check whether your page or application should output tracing information before it writes anything to the trace log.

  The value of the property depends on the settings in the trace subsection of the system.web configuration section and the value of the trace attribute of the @ Page directive. The tracing option set in the page directive takes precedence over the option set in the configuration file. Setting the value programmatically takes precedence over both the page directive attribute and the configuration setting.

  If you set the property to true for an entire application, you must explicitly set this property to false for any page in the application for which you do not want tracing information displayed.

  Gets or sets a value indicating whether tracing is enabled for the current Web request.

  1.0.5000.0
  2.0.0.0
- Event
  2.0.0.0
  System.Web.TraceContextEventHandler

  The event is raised during the EndRequest stage of HTTP request processing. It is raised by a object after all request information is gathered, to expose the collection of messages to registered delegates.

  Raised by the object to expose trace messages after all request information is gathered.

- Property
  System.Web.TraceMode To be added: an object of type 'TraceMode'

  Trace messages can be sorted in the order they were processed, or alphabetically by user-defined category.

  Gets or sets the sorted order in which trace messages should be output to a requesting browser.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to true and its property set to null.

  Writes a trace message to the trace log. All warnings appear in the log as red text.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to true and its property set to null.

  Writes trace information to the trace log, including any user-defined categories and trace messages. All warnings appear in the log as red text.

  The trace category that receives the message. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` a a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to true, and the property is set to the object passed by the parameter.

  Writes trace information to the trace log, including any user-defined categories, trace messages, and error information. All warnings appear in the log as red text.

  The trace category that receives the message. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to false and its property set to null.

  Writes a trace message to the trace log.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to false and its property set to null.

  Writes trace information to the trace log, including a message and any user-defined categories.

  The trace category that receives the message. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` a a

  Every time the method is called, a trace message is added to the messages collection, which is accessible when you handle the event. The message is added with its property set to false, and the property is set to the object passed by the parameter.

  Writes trace information to the trace log, including any user-defined categories, trace messages, and error information.

  The trace category that receives the message. 1.0.5000.0 2.0.0.0